varying vec2 		texcoord;
uniform sampler2D 	tex;
varying vec4		t0,t1,t2,t3;

void main()
{
	gl_FragColor =	(	
						/*texture2D(tex, t0.xy)	+
						texture2D(tex, t0.zw)	+
	*/
						texture2D(tex, t2.xy)	+
						texture2D(tex, t2.zw)	+
						
						texture2D(tex, t1.xy)	+
						texture2D(tex, t1.zw)	+
						
						texture2D(tex, t3.xy)	+
						texture2D(tex, t3.zw)	+
						
						texture2D(tex, texcoord) 	)*0.142857; //7.0;
}
